Publicado SeaMonkey 2.2, actualización para SM 2.0.x

No podemos luchar contra el futuro. El tiempo está de su parte. (William E. Gladstone)

Con la sombra de los complementos incompatibles, ya está publicado SeaMonkey 2.2. Realmente no hay casi nada que contar que no os dijera ya cuando se publicó la Beta 1, así que voy a ser breve.

SeaMonkey 2.2 es la vía de actualización para SeaMonkey 2.0.x. Es decir, quienes teníais SeaMonkey 2.0.x y no actualizasteis manualmente a la versión 2.1, vais a obtener un aviso de actualización en unos días para pasar directamente a la versión 2.2 (las actualizaciones automáticas se activan unos pocos días más tarde del lanzamiento de la versión, para comprobar que no se ha colado algún error serio antes de distribuirla a todos los usuarios a de la versión anterior).

Volviendo a lo que comento al principio, más y más gente se queja de que, al actualizar, muchos complementos dejan de funcionarle. El problema no es exclusivo de SeaMonkey, lo mismo sucede con Firefox y Thunderbird, porque el ciclo de actualizaciones tan rápido requiere que los autores de complementos visiten Mozilla Add-Ons con frecuencia para revisar los valores de compatibilidad que tienen configurados para cada complemento.

En mi caso, yo mantengo dos complementos: el diccionario es-ES y el paquete de idioma de ChatZilla. Son, de hecho, dos complementos “sin código”, es decir, no incluyen JavaScript, XUL, HTML ni, desde luego, código C++ que puedan interactuar con la arquitectura de la aplicación Mozilla en la que se instalan. Por tanto, no dejan de funcionar porque se actualice esta.

En cambio, los autores de un complemento normal como AdBlock Plus, ForecastFox o Enigmail no pueden simplemente actualizar el número de versión máxima compatible, sino que tienen que probarlo y corregir lo que surja. En complementos que no sean muy pequeños, tener que hacer esto cada mes y medio aproximadamente requiere mucho tiempo.

Por su popularidad, los complementos de Firefox tienen un seguimiento más activo por parte de sus autores, pero Thunderbird y SeaMonkey cuentan con menos atención y hay que avisarles de vez en cuando. En el caso de SeaMonkey es incluso peor, porque algunos usamos complementos no oficialmente compatibles con él, o que dejaron de desarrollarse hace tiempo y no cuentan con complementos activos equivalentes.

Una solución temporal puede ser instalar el Add-on Compatibility Reporter, un complemento que permite a SeaMonkey hacer caso omiso de la información de compatibilidad de cada complemento. Si el complemento es compatible con tu nueva versión de SeaMonkey pero su autor no se ha acordado de actualizar su información de compatibilidad, con el Add-on  Compatibility Reporter podrás seguir usando tu complemento favorito. Eso sí, si realmente el complemento requiere ajustes en su código porque hace llamadas a funciones de Toolkit que han sido modificadas o eliminadas, no conseguirás que funcione.

¿Tienes algún complemento que no funcione? Coméntalo aquí o en el foro de SeaMonkey de Mozilla Hispano (tienes el enlace a la derecha).

Acerca de rickiees

Miembro de NAVE, el grupo de traducción al español de España (es-ES) de Mozilla. Colaborador de Mozilla Hispano. Desarrollador aficionado en Java SE, prefiero las aplicaciones de escritorio.
Esta entrada fue publicada en Noticias y etiquetada . Guarda el enlace permanente.